Ispconfig 3.1dev ajaxloader problem and unable to change email passwords +more

Discussion in 'Developers' Forum' started by sohost, Sep 11, 2014.

  1. sohost

    sohost New Member


    Testing 3.1dev on Ubuntu 14.04 Server.
    First I did upgrade for Ubuntu from 12.04 to 14.04.
    After this updated ISPconfig from to 3.1dev.

    Noticed few problems.

    1. Ajaxloader window not working correctly (see attachment)

    2. Unable to change email account passwords from ISPconfig.

    Ubuntu 14.04
    Apache 2.4.7
    Dovecot 2.2.9

    3. New websites sets default setting to "use sockets for php-fpm" even when it is not used by current config.

    4. Apache config for ISPconfig.vhost has incorrectly value "Listen 8080" which causes apache fail to start.

    Attached Files:

    Last edited: Sep 11, 2014
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Thank you for your report. The 3.1 dev version is pure untested developer code, so nothing that can be used on a production server. For the 3.1 release, all html code gets replaced in the next weeks anyway, so none of the html and js code you mentioned above will be in 3.1 final.

    Installing 3.1dev makes only sense if you are a active developer and contribute code to the ispconfig GIT system to ensure that your condributions keep track with the development and get merged into the final. For all other users, installing or testing from git master branch does not make much sense as this code is not meant to be a usable system, its just the place were we merge untested dev code.

    If you want to get the latest usable code from git, then use stable-3.0.5 branch and not master.
    Last edited: Sep 11, 2014

Share This Page